package test;

import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

import org.apache.log4j.Logger;

import proxy.ProxyToServerThread;
import valueObject.ProxyRequestValueObject;

public class Test1 {

	private static final Logger logger = Logger.getLogger(Test1.class);

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ProxyRequestValueObject proxyRequest;
		Socket socketClient;
		OutputStream clientOut;
		InputStream clientIn;
		//String request;
		byte buffer[];
		int nb;
		
		try {
			// Connect to the proxy.
			socketClient = new Socket("localhost", 8082);

			// Get the input and output streams.
			clientIn = socketClient.getInputStream();
			clientOut = socketClient.getOutputStream();

			proxyRequest = new ProxyRequestValueObject();
			proxyRequest.setServerOutputStream(clientOut);
			proxyRequest.appendRequestLine(
				"GET http://box5.pulsradio.com:8080/ HTTP/1.0\r\n" +
				"Host: box5.pulsradio.com:8080\r\n" +
				"User-Agent: NSPlayer/1.0\r\n" +
				//"Accept: */*\r\n" +
				"Icy-MetaData:1");

			new ProxyToServerThread(proxyRequest);

			buffer = new byte[4096];

			while (true) {
				logger.debug("Avant read().");
				nb = clientIn.read(buffer);
				logger.debug("Aprs read(), nb=" + nb + ".");
	
				// End of stream ?
				if ( nb == -1 )
					break;

				//str.append(new String(buffer, 0, nb));
				logger.debug("read=" + new String(buffer, 0, nb) + ".");
			}
		}
		catch (Exception e) {
			logger.error(e.toString(), e);
		}

	}

}
