package util;

import static util.Constant.DEFAULT_LISTENING_PORT;

/**
 * Application-wide variables.
 * 
 * @author Olivier Garrouste
 * Creation date: 2006-09-02
 */
public class Global {

	// TCP port on which proxy is listening.
	public static int listeningPort = DEFAULT_LISTENING_PORT;

	// If set to false, metadata are removed from the stream and not sent to the
	// net-tune client.
	// If set to true, le stream is not altered.
	public static boolean allowMp3Metadata = true;

	// Enable/disable interception of requests destinated to host "www.xiva-net.com".
	public static boolean enableFiltering = true;
}
